#include <bits/stdc++.h>

using namespace std;

int main()
{
    bool palindrom=true;
string s;
cin>>s;
string t=s;
int n=s.size();
reverse(t.begin(),t.end());
for(int i=0;i<n;i++){
    if(s[i]!=t[i]) palindrom=false;
}
int rez=1e9;
vector<int> a;
for(int i=0;i<n;i++){
    if(s[i]=='b'){
        a.push_back(i);
    }
}
for(int i=0;i<n;i++){
    rez=min(rez,abs(i-a[0])+abs((n-i-1)-a[1]));
}
if(palindrom){
    cout<<1;
}else{
cout<<rez;}
}